=== src/calendar/CMakeLists.txt ===
add_error_files(calendar calendar.error)

add_subdirectory(gui)
add_subdirectory(importers)
