=== debian/changelog ===
evolution (3.36.5-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922953)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Apr 2021 20:31:07 +0200
